Bug 795244 - deprecation warning in HTML::FormFu since new version of MooseX::Attribute::Chained
Summary: deprecation warning in HTML::FormFu since new version of MooseX::Attribute::C...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-HTML-FormFu
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-20 04:27 UTC by Kahlil Hodgson
Modified: 2012-03-01 09:18 UTC (History)
2 users (show)

Fixed In Version: perl-HTML-FormFu-0.09007-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-01 09:18:13 UTC
Type: ---


Attachments (Terms of Use)

Description Kahlil Hodgson 2012-02-20 04:27:06 UTC
Description of problem:

Since the new version of perl-MooseX-Attribute-Chained-1.0.1-1 we get a deprecation warning with perl-HTML-FormFu-0.09003-2

Implicit use of the Chained trait is deprecated. Please load MooseX::Attribute::Chained explicitly at /usr/share/perl5/vendor_perl/Moose/Meta/Attribute/Custom/Trait/Chained.pm line 19.

Apparently this is fixed in version 0.09006 of HTML::FormFu

Comment 1 Fedora Update System 2012-02-20 15:50:52 UTC
perl-HTML-FormFu-0.09007-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-HTML-FormFu-0.09007-1.fc16

Comment 2 Fedora Update System 2012-02-21 01:26:16 UTC
Package perl-HTML-FormFu-0.09007-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-HTML-FormFu-0.09007-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2066/perl-HTML-FormFu-0.09007-1.fc16
then log in and leave karma (feedback).

Comment 3 Kahlil Hodgson 2012-02-21 06:46:15 UTC
Thanks for the quick response. The package on testing fixed the issue for me.
Cheers!

Comment 4 Fedora Update System 2012-03-01 09:18:13 UTC
perl-HTML-FormFu-0.09007-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.